summaryrefslogtreecommitdiffstats
path: root/makerelease.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 19:37:08 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 19:37:08 +0000
commitd710a65c8b50bc3d4d0920dc6e865296f42edd5e (patch)
treed3bf9843448af9398b55f49a50a194bbaacd724e /makerelease.sh
parentInitial commit. (diff)
downloadnghttp2-d710a65c8b50bc3d4d0920dc6e865296f42edd5e.tar.xz
nghttp2-d710a65c8b50bc3d4d0920dc6e865296f42edd5e.zip
Adding upstream version 1.59.0.upstream/1.59.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'makerelease.sh')
-rwxr-xr-xmakerelease.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/makerelease.sh b/makerelease.sh
new file mode 100755
index 0000000..b65e08f
--- /dev/null
+++ b/makerelease.sh
@@ -0,0 +1,23 @@
+#!/bin/sh -e
+
+TAG=$1
+PREV_TAG=$2
+
+git checkout refs/tags/$TAG
+git log --pretty=fuller --date=short refs/tags/$PREV_TAG..HEAD > ChangeLog
+
+git submodule update --init
+
+autoreconf -i
+./configure --with-mruby && \
+ make dist-bzip2 && make dist-gzip && make dist-xz || echo "error"
+
+rm -f checksums.txt
+
+VERSION=`echo -n $TAG | sed -E 's|^v([0-9]+\.[0-9]+\.[0-9]+)(-DEV)?$|\1|'`
+for f in nghttp2-$VERSION.tar.bz2 nghttp2-$VERSION.tar.gz nghttp2-$VERSION.tar.xz; do
+ sha256sum $f >> checksums.txt
+ gpg --armor --detach-sign $f
+done
+
+make distclean